# DataExchange
TKSTEPBase
StepGeom

# StepGeom_RationalBSplineSurface Class Reference

`#include <StepGeom_RationalBSplineSurface.hxx>`

Inheritance diagram for StepGeom_RationalBSplineSurface:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_RationalBSplineSurface ()
| Returns a RationalBSplineSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aUDegree, const Standard_Integer aVDegree, const Handle(StepGeom_HArray2OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineSurfaceForm aSurfaceForm, const StepData_Logical aUClosed, const StepData_Logical aVClosed, const StepData_Logical aSelfIntersect)

virtual Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aUDegree, const Standard_Integer aVDegree, const Handle(StepGeom_HArray2OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineSurfaceForm aSurfaceForm, const StepData_Logical aUClosed, const StepData_Logical aVClosed, const StepData_Logical aSelfIntersect, const Handle(TColStd_HArray2OfReal)&aWeightsData)

Standard_EXPORT void | SetWeightsData (const Handle(TColStd_HArray2OfReal)&aWeightsData)
Standard_EXPORT Handle_TColStd_HArray2OfReal | WeightsData () const
Standard_EXPORT Standard_Real | WeightsDataValue (const Standard_Integer num1, const Standard_Integer num2) const
Standard_EXPORT Standard_Integer | NbWeightsDataI () const
Standard_EXPORT Standard_Integer | NbWeightsDataJ () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HArray2OfReal | weightsData

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_RationalBSplineSurface::StepGeom_RationalBSplineSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_RationalBSplineSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BSplineSurface.

virtual Standard_EXPORT void StepGeom_RationalBSplineSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aUDegree,
|  | const Standard_Integer | aVDegree,
|  | const Handle(StepGeom_HArray2OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineSurfaceForm | aSurfaceForm,
|  | const StepData_Logical | aUClosed,
|  | const StepData_Logical | aVClosed,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(TColStd_HArray2OfReal)& | aWeightsData
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_RationalBSplineSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aUDegree,
|  | const Standard_Integer | aVDegree,
|  | const Handle(StepGeom_HArray2OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineSurfaceForm | aSurfaceForm,
|  | const StepData_Logical | aUClosed,
|  | const StepData_Logical | aVClosed,
|  | const StepData_Logical | aSelfIntersect
| ) | `[virtual]`

| Reimplemented from StepGeom_BSplineSurface.

Standard_EXPORT Standard_Integer StepGeom_RationalBSplineSurface::NbWeightsDataI | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_RationalBSplineSurface::NbWeightsDataJ | ( |  | ) | const

Standard_EXPORT void StepGeom_RationalBSplineSurface::SetWeightsData | ( | const Handle(TColStd_HArray2OfReal)& | aWeightsData | ) |

Standard_EXPORT Handle_TColStd_HArray2OfReal StepGeom_RationalBSplineSurface::WeightsData | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_RationalBSplineSurface::WeightsDataValue | ( | const Standard_Integer | num1,
|  | const Standard_Integer | num2
| ) | const

## Field Documentation

Handle_TColStd_HArray2OfReal StepGeom_RationalBSplineSurface::weightsData `[private]`

The documentation for this class was generated from the following file:

- StepGeom_RationalBSplineSurface.hxx